(function($) {

	"use strict";

	$( document ).ready(function() {

		if ($(window).width() < 800) {

			$('#navmain > div > ul > li:has("ul")').addClass('level-one-sub-menu');
			$('#navmain > div > ul li ul li:has("ul")').addClass('level-two-sub-menu');
		}

		zenoffice_initHeaderIconsEvents();

		// init header search 
		$(function () {
	        $(".sb-search").sbSearch();
	    });

	    $.fn.sbSearch = function() {
	       return this.each(function() {
	           new UISearch( this );
	       });
	    };
	});

	function zenoffice_initHeaderIconsEvents() {

		$('a.cart-contents-icon').mouseenter(function(){
		
			// display mini-cart if it's not visible
			if ( !$('#cart-popup-content').is(":visible") ) {
			
				$('#search-popup-content').fadeOut();

				var rightPos = ($(window).width() - ($(this).offset().left + $(this).outerWidth()));
				var topPos = $(this).offset().top - $(window).scrollTop() + $(this).outerHeight(); 

				$('#cart-popup-content').css('right', rightPos).css('top', topPos).fadeIn();
			}
		});
		
		$('#cart-popup-content').mouseleave(function(){
		
			$('#cart-popup-content').fadeOut();
		});
		
		$('a.search-form-icon').click(function(){

	    $('#cart-popup-content').fadeOut();
		
			// display mini-cart if it's not visible
			if ( !$('#search-popup-content').is(":visible") ) {

				var rightPos = ($(window).width() - ($(this).offset().left + $(this).outerWidth()));
				var topPos = $(this).offset().top - $(window).scrollTop() + $(this).outerHeight(); 

				$('#search-popup-content').css('right', rightPos).css('top', topPos).fadeIn();

			} else {

	      $('#search-popup-content').fadeOut();
	    }
		});
	}

})(jQuery);